#!/bin/ksh
# This script creates a scorecard (sorts proposals by New,Pending,Closed)
#
touch scorecard
echo "Scorecard For PowerPC Binding Proposals\n" 
echo "Scorecard For PowerPC Binding Proposals\n" > scorecard
echo "New Proposals:" >> scorecard
set `find . -name '*.Item' -print | grep  "New" | sort -dn`
echo " Number of args:"  $#
for eachfile
        do
	  itemnum=`awk '/Subject:/ { print substr($3,2,3)  }' $eachfile`
          echo "input file: " $eachfile
          awk 'BEGIN { FS = ":" } /Subject:/ { print '$itemnum' ": " $3  }' $eachfile >> scorecard
        done
echo "\nPending Proposals:" >> scorecard
 set `find . -name '*.Item' -print | grep  "Pending" | sort -dn`
 for eachfile
         do
 	  itemnum=`awk '/Subject:/ { print substr($3,2,3)  }' $eachfile`
           echo "input file: " $eachfile
           awk 'BEGIN { FS = ":" } /Subject:/ { print '$itemnum' ": " $3  }' $eachfile >> scorecard
         done

echo "\nClosed Proposals:" >> scorecard
set `find . -name '*.Item' -print | grep  "Closed" | sort +0.18 -dn`
for eachfile
        do
	  itemnum=`awk '/Subject:/ { print substr($3,2,3)  }' $eachfile`
          echo "input file: " $eachfile
          awk 'BEGIN { FS = ":" } /Subject:/ { print '$itemnum' ": " $3  }' $eachfile >> scorecard
        done



